<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'luzuk_about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_about_area_disable',
            array(
                'settings'      => 'luzuk_about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'about', 'about_area', $color='#f8f5f0', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);


  $wp_customize->add_setting(
        'about_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_image_heading',
            array(
                'settings'      => 'about_image_heading',
                'section'       => 'about_area',
                'label'         => __( 'Left Box', 'luzuk-premium' ),
            )
        )
    );

lzCustomLable($wp_customize, 'aboutarea_fristimg', 'about_area', 'Frist Image');

      $wp_customize->add_setting(
        'about_image3',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image3',
            array(
                'section' => 'about_area',
                'settings' => 'about_image3',
                'description' => __('Recommended Image Size: 603X343px', 'luzuk-premium')
            )
        )
    );

lzCustomLable($wp_customize, 'aboutarea_Secondimg', 'about_area', 'Second Image');

      $wp_customize->add_setting(
        'about_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image',
            array(
                'section' => 'about_area',
                'settings' => 'about_image',
                'description' => __('Recommended Image Size:342X200px', 'luzuk-premium')
            )
        )
    );

lzCustomLable($wp_customize, 'aboutarea_Thiredimg', 'about_area', 'Thired Image');

      $wp_customize->add_setting(
        'about_image2',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image2',
            array(
                'section' => 'about_area',
                'settings' => 'about_image2',
                'description' => __('Recommended Image Size: 251X200px', 'luzuk-premium')
            )
        )
    );

addColorPalatOption($wp_customize, 'aboutarea_topbox_color', 'about_area', 'Left Section Top Box Background Color', '#f25743');
addColorPalatOption($wp_customize, 'aboutarea_leftbox_color', 'about_area', 'Left Section Left Box Background Color', '#f25743');


    $wp_customize->add_setting(
        'about_yaernumset',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_yaernumset',
            array(
                'settings'      => 'about_yaernumset',
                'section'       => 'about_area',
                'label'         => __( 'Section Year Box Setting', 'luzuk-premium' ),
            )
        )
    );   

  

    $wp_customize->add_setting(
        'about_yaernum',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '25+', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_yaernum',
        array(
            'settings'      => 'about_yaernum',
            'section'       => 'about_area',
            'type'          => 'text',
            'label'         => __( 'Section Year Box Number', 'luzuk-premium' )
        )
    );


     $wp_customize->add_setting(
        'about_yaers',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Years', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_yaers',
        array(
            'settings'      => 'about_yaers',
            'section'       => 'about_area',
            'type'          => 'text',
            'label'         => __( 'Section Year Box Text', 'luzuk-premium' )
        )
    );




addColorPalatOption($wp_customize, 'aboutarea_imgboxtxt_color', 'about_area', 'Left Section Inner Box Text Color', '#000');
addColorPalatOption($wp_customize, 'aboutarea_imgboxbg_color', 'about_area', 'Left Section Inner Box Background Color ', '#fff');

lzCustomLable($wp_customize, 'aboutarea_rhssec', 'about_area', 'Right Box ');

    $wp_customize->add_setting(
        'about_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'about_title_heading',
            array(
                'settings'      => 'about_title_heading',
                'section'       => 'about_area',
                'label'         => __( 'Section Heading, Sub Heading, Text', 'luzuk-premium' ),
            )
        )
    );    

    $wp_customize->add_setting(
        'about_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'ABOUT COMPANY', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_subtitle',
        array(
            'settings'      => 'about_subtitle',
            'section'       => 'about_area',
            'type'          => 'text',
            'label'         => __( 'Section Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_secsubtitle_color', 'about_area', 'Section Heading Color ', '#fff');
addColorPalatOption($wp_customize, 'about_area_secsubtitlebg_color', 'about_area', 'Section Heading Background Color ', '#f25743');

    $wp_customize->add_setting(
        'about_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'We are helping companines & enterprise clints.', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_title',
        array(
            'settings'      => 'about_title',
            'section'       => 'about_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_sectitle_color', 'about_area', 'Section Sub Heading Color ', '#000');

    $wp_customize->add_setting(
        'about_text',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed vitae ante a nibh ornare tristique laoreet ac odio. Donec ac eleifend lacus. Etiam bibendum nec mi non consequat. ', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_text',
        array(
            'settings'      => 'about_text',
            'section'       => 'about_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Heading Text', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Heading Text color', '#000');

$wp_customize->add_setting(
        'about_text2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luc tusnec ullamcorper mattis, pulvinar dapibus leo.Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luc tusnec ullamcorper mattis, pulvinar dapibus leo.Lorem ipsum dolor sit amet.', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'about_text2',
        array(
            'settings'      => 'about_text2',
            'section'       => 'about_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Heading Text 2', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'about_area_text2', 'about_area', 'Section Heading Text 2 color', '#919392');

    $wp_customize->add_setting(
            'aboutbutton',
            array(
                'sanitize_callback' => 'luzuk_sanitize_text',
                'default'           => __( 'Get A Quote', 'luzuk-premium' )
            )
        );
    $wp_customize->add_control(
        'aboutbutton',
        array(
            'settings'      => 'aboutbutton',
            'section'       => 'about_area',
            'type'          => 'text',
            'label'         => __( 'Section Button Text', 'luzuk-premium' )
        )
    );


    $wp_customize->add_setting('abtbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
    $wp_customize->add_control('abtbtnlink',
        array(
            'settings'      => 'abtbtnlink',
            'section'       => 'about_area',
            'type'          => 'url',
            'label'         => __( 'Add "Button" link here', 'luzuk-premium' )
        )
    );


addColorPalatOption($wp_customize, 'about_btn_text', 'about_area', 'Section Button Text color', '#fff');
addColorPalatOption($wp_customize, 'about_btn_bg', 'about_area', 'Section Button Background color', '#f25743');
addColorPalatOption($wp_customize, 'about_btn_texthv', 'about_area', 'Section Button Text hover color', '#fff');
addColorPalatOption($wp_customize, 'about_btn_bghv', 'about_area', 'Section Button Background hover color', '#000');


// $wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
// $wp_customize->add_control(
//     new luzuk_Customize_Heading(
//         $wp_customize,
//         'aboutus_npp_heading',
//         array(
//             'settings'      => 'aboutus_npp_heading',
//             'section'       => 'about_area',
//             'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
//         )
//     )
// );    
// $wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 1));
// $wp_customize->add_control(
//     'aboutus_npp_count',
//     array(
//         'settings'      => 'aboutus_npp_count',
//         'section'       => 'about_area',
//         'type'          => 'select',
//         'label'         => __( 'Number of About plan to show', 'luzuk-premium' ),
//         'choices'=>array(1,2,3,4)
//     )
// );

// //ABOUT PAGES
// for( $i = 1; $i <= 4; $i++ ){
//     $wp_customize->add_setting(
//         'aboutus_header'.$i,
//         array(
//             'sanitize_callback' => 'luzuk_sanitize_text'
//         )
//     );
//     $wp_customize->add_control(
//         new luzuk_Customize_Heading(
//             $wp_customize,
//             'aboutus_header'.$i,
//             array(
//                 'settings'      => 'aboutus_header'.$i,
//                 'section'       => 'about_area',
//                 'label'         => __( 'About Page ', 'luzuk-premium' ).$i
//             )
//         )
//     );

//      $wp_customize->add_setting(
//         'aboutus_page_icon'.$i,
//         array(
//             'default'           => 'fa fa-check-square-o',
//             'sanitize_callback' => 'luzuk_sanitize_text'
//         )
//     );        
//     $wp_customize->add_control(
//         new luzuk_Fontawesome_Icon_Chooser(
//             $wp_customize,
//             'aboutus_page_icon'.$i,
//             array(
//                 'settings'      => 'aboutus_page_icon'.$i,
//                 'section'       => 'about_area',
//                 'type'          => 'icon',
//                 'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
//             )
//         )
//     );
    

// lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Consectetur Adipcing');  

 
// lzAddElement($wp_customize, 'aboutus_11text'.$i, 'about_area', $type = 'textarea', $label="Tetx", $callback ='luzuk_sanitize_text', $default='There are many variations words passages of Lorem Ipsum do not available, but the majority.'); 



// }


// lzCustomLable($wp_customize, 'about_colors', 'about_area', 'Section Color Setting');

// addColorPalatOption($wp_customize, 'about_area_pageicon', 'about_area', 'About Page Icon color', '#fff');

// addColorPalatOption($wp_customize, 'about_area_pageiconhv', 'about_area', 'About Page Icon Hover color', '#f25743');

// addColorPalatOption($wp_customize, 'about_area_pageiconbg', 'about_area', 'About Page Icon Background color', '#f25743');

// addColorPalatOption($wp_customize, 'about_area_pageiconbghv', 'about_area', 'About Page Icon Background Hover color', '#000');

// addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'About Page Icon Title Color', '#000');

// addColorPalatOption($wp_customize, 'about_area_pagetitlehv', 'about_area', 'About Page Icon Title Hover Color', '#f25743');

// addColorPalatOption($wp_customize, 'about_area_pagetext', 'about_area', 'About Page Icon Text Color', '#7a7878');
